{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-guides/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Sprinklr Asset Manager API V3 - Developer Guide","description":"Sprinklr offers robust, convenient, and simple RESTful Web service APIs to integrate data from Sprinklr to any external system.","keywords":["Sprinklr API","Sprinklr Developer Portal","OAuth 2.0","RESTful API","Social Media API","Customer Experience API","Unified-CXM","Social Listening API"]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"sprinklr-asset-manager-api-v3---developer-guide","__idx":0},"children":["Sprinklr Asset Manager API V3 - Developer Guide"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Applies to"]},": Sprinklr Asset Manager APIs"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["V2 API reference"]},": ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://legacy-dev.sprinklr.com/sprinklr-asset-manager"},"children":["Sprinklr Asset Manager"]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"1-overview","__idx":1},"children":["1. Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the Sprinklr Asset Manager APIs in this guide to create, read, update, and delete assets; import assets from URLs; check asynchronous import status; regenerate accessible media URLs; process secure media URLs in bulk; and create WhatsApp HSM templates."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["📖 Related Knowledge Base Article: ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://www.sprinklr.com/help/articles/actions-on-asset-manager/actions-within-asset-folder-in-asset-manager/6486fff629354c07912fad43"},"children":["Sprinklr Asset Manager"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"before-you-begin","__idx":2},"children":["Before you Begin"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You need an access token and API key to call these APIs. Use the environment-specific API host shown in each endpoint. If your token is associated with multiple workspaces, the Read Asset source notes that you should pass ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["workspace_id"]}," in the request headers."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"2-api-endpoints","__idx":3},"children":["2. API Endpoints"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," - Create Asset"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}," - Read Asset"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT"]}," - Update Asset"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH"]}," - Update Asset"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DELETE"]}," - Delete Asset"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," - Asset Import via URL"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}," Asset Import Async"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}," - Secure Media Download"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," - Secure Media Download - Bulk"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST"]}," - Create WhatsApp HSM Template"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"3-base-urls-and-environments","__idx":4},"children":["3. Base URLs and Environments"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["All API calls are sent to the production endpoint:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["So the resource in production is:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3/sam\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace {env} with your assigned environment identifier (prod0, prod2, prod11, and so on — see ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://legacy-dev.sprinklr.com/apis"},"children":["APIs | Sprinklr Developer Portal"]}," for the environment list)."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"4-authentication--headers","__idx":5},"children":["4. Authentication & Headers"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["API headers include the mandatory information you send along with the request URL and body. This information helps provide insights into request context and authorization credentials that, in turn, allows access to protected resources."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Header"},"children":["Header"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Value"},"children":["Value"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Bearer {token}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authenticates the user with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{api-key}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authenticates the application with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Content-Type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifies the request-body media type."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Accept"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Identifies the expected response type."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"5-operations","__idx":6},"children":["5. Operations"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"51-post---create-asset","__idx":7},"children":["5.1 POST - Create Asset"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Using this API, you can create a media asset within Sprinklr. You can track and manage multiple versions of assets."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint","__idx":8},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["https://api3.sprinklr.com/{env}/api/v3/sam"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters","__idx":9},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["assetType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of asset being created. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PHOTO"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["status"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Initial status of the asset. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DRAFT"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Attachment details for the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment.type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of attachment. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["IMAGE"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment.url"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["URL of the asset file."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / URL"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment.previewUrl"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["URL used to preview the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / URL"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["attachment.mimeType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["MIME type of the attachment. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["image/jpeg"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["assetSource"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Source of the asset. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SPRINKLR"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["restricted"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether the asset is restricted."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request","__idx":10},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location 'https://api3.sprinklr.com/{env}/api/v3/sam' \\\n  --header 'Authorization: Bearer {Enter your Access Token}' \\\n  --header 'Content-Type: application/json' \\\n  --header 'Accept: application/json' \\\n  --data '{\n    \"name\": \"API Check Part 3\",\n    \"description\": \"Unique media test\",\n    \"assetType\": \"PHOTO\",\n    \"status\": \"DRAFT\",\n    \"attachment\": {\n      \"type\": \"IMAGE\",\n      \"url\": \"https://images.unsplash.com/photo-1519389950473-47ba0277781c\",\n      \"previewUrl\": \"https://images.unsplash.com/photo-1519389950473-47ba0277781c\",\n      \"mimeType\": \"image/jpeg\"\n    },\n    \"assetSource\": \"SPRINKLR\",\n    \"restricted\": false\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response","__idx":11},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"assetType\": \"PHOTO\",\n    \"attachment\": {\n      \"url\": \"https://images.unsplash.com/photo-1519389950473-47ba0277781c\",\n      \"previewUrl\": \"https://images.unsplash.com/photo-1519389950473-47ba0277781c\",\n      \"mimeType\": \"image/jpeg\",\n      \"type\": \"IMAGE\"\n    },\n    \"lastModifiedById\": 66069496,\n    \"reportingStats\": {},\n    \"id\": \"6a9adb355efb429a803a638a\",\n    \"name\": \"API Check Part 3\",\n    \"description\": \"Unique media test\",\n    \"status\": \"Draft\",\n    \"taxonomy\": {},\n    \"insights\": {},\n    \"validity\": {\n      \"expiryTime\": 2208988800000,\n      \"availableFrom\": 1788480000000,\n      \"neverExpire\": false,\n      \"visibleFrom\": 1788480000000\n    },\n    \"assetSource\": \"SPRINKLR\",\n    \"actionStats\": {},\n    \"shareConfigs\": [],\n    \"restricted\": false,\n    \"locked\": false,\n    \"createdTime\": 1788533557064,\n    \"modifiedTime\": 1788533557064,\n    \"langVsTranslatedFieldValues\": {},\n    \"createdByUser\": 66069496,\n    \"versionId\": 0\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters","__idx":12},"children":["Response Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the asset details returned by the API."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.assetType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of asset. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PHOTO"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.attachment"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains details of the asset attachment."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.attachment.url"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["URL of the asset file."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / URL"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.attachment.previewUrl"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["URL used to preview the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / URL"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.attachment.mimeType"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["MIME type of the attachment. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["image/jpeg"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.attachment.type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of attachment. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["IMAGE"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.lastModifiedById"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ID of the user who last modified the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.reportingStats"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Reporting statistics associated with the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.name"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.status"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Current status of the asset. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Draft"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.taxonomy"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Taxonomy information associated with the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.insights"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Insights associated with the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.validity"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the asset's availability and expiration details."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.validity.expiryTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timestamp indicating when the asset expires."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Long / Timestamp"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.validity.availableFrom"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timestamp indicating when the asset becomes available."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Long / Timestamp"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.validity.neverExpire"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether the asset is configured to never expire."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.validity.visibleFrom"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timestamp indicating when the asset becomes visible."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Long / Timestamp"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.assetSource"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Source from which the asset originated. Example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SPRINKLR"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String / Enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.actionStats"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Statistics related to actions performed on the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.shareConfigs"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing configuration details for the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.restricted"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether the asset is restricted."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.locked"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether the asset is locked."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.createdTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timestamp indicating when the asset was created."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Long / Timestamp"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.modifiedTime"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timestamp indicating when the asset was last modified."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Long / Timestamp"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.langVsTranslatedFieldValues"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains language-specific translated field values."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.createdByUser"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ID of the user who created the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.versionId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Version identifier of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains errors generated while processing the request. An empty array indicates that no errors occurred."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"52-get---read-asset","__idx":13},"children":["5.2 GET - Read Asset"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can fetch details of an existing Sprinklr asset via this API call using the asset Id."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-1","__idx":14},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["https://api3.sprinklr.com/{env}/api/v3/sam/{assetId}"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters","__idx":15},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"table","attributes":{},"children":[{"$$mdtype":"Tag","name":"colgroup","attributes":{},"children":[{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"9%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"14%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"69%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"5%"}},"children":[]}]},{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required/Optional"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["assetId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Asset id of the existing Sprinklr asset. ",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nYou can extract the asset Id from the ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://dev.sprinklr.com/create-asset"},"children":[{"$$mdtype":"Tag","name":"u","attributes":{},"children":["create asset API"]}]}," response or you can use the ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://dev.sprinklr.com/asset-search-v1"},"children":[{"$$mdtype":"Tag","name":"u","attributes":{},"children":["asset search API"]}]},".",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nAlternatively, you can fetch the asset id from the UI too.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nSteps for UI extract:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Navigate to asset manager"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Hover over to the desired asset"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Click on the three dots on the right and click on details"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You will be able to find the asset id under the properties section"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note"]},": Ensure that the type of asset you want to read is supported. The following note lists the supported asset types."]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Developer notes"]},":"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The API supports reading the following asset types:"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["PRESENTATION, PHOTO, VIDEO, AUDIO, FLASH, HTML, PDF, DOC, DOCX, EXCEL, ZIP, PSD, SKETCH, FONT, SUBTITLE, TEMPLATE_ASSET, RAR, SVG, EML, MSG, EDB, ICS, EPS, INDD, LINK, POST, RICH_TEXT, TEXT, POLL, GEO_LOCATION"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-1","__idx":16},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location 'https://api3.sprinklr.com/{env}/api/v3/sam/{assetId}' \\\n  --header 'Authorization: Bearer {Enter your Access Token}' \\\n  --header 'Accept: application/json'   \n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-1","__idx":17},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"assetType\": \"PHOTO\",\n    \"attachment\": {\n      \"url\": \"https://images.unsplash.com/photo-1519389950473-47ba0277781c\",\n      \"previewUrl\": \"https://images.unsplash.com/photo-1519389950473-47ba0277781c\",\n      \"mimeType\": \"image/jpeg\",\n      \"type\": \"IMAGE\"\n    },\n    \"lastModifiedById\": 66074279,\n    \"reportingStats\": {},\n    \"id\": \"6a1fca5636bd1b12f5d17b49\",\n    \"name\": \"API Check Part 3\",\n    \"description\": \"Unique media test\",\n    \"status\": \"Draft\",\n    \"taxonomy\": {\n      \"partnerCustomProperties\": {\n        \"_c_68b198eca158dd05c42c740c\": [],\n        \"_c_65169c803884d32abe7e159c\": [\n          \"Value2\"\n        ],\n        \"_c_65169c9c3884d32abe7e2079\": [],\n        \"_c_65169ced3884d32abe7e3db9\": [\n          \"Value2\"\n        ],\n        \"_c_65169d083884d32abe7e466a\": []\n      }\n    },\n    \"insights\": {},\n    \"validity\": {\n      \"expiryTime\": 2208988800000,\n      \"availableFrom\": 1780444800000,\n      \"neverExpire\": false,\n      \"visibleFrom\": 1780444800000\n    },\n    \"assetSource\": \"SPRINKLR\",\n    \"actionStats\": {},\n    \"shareConfigs\": [],\n    \"restricted\": false,\n    \"locked\": false,\n    \"createdTime\": 1780468310449,\n    \"modifiedTime\": 1787813692072,\n    \"langVsTranslatedFieldValues\": {},\n    \"createdByUser\": 66074279,\n    \"versionId\": 0\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note"]},": Developer notesIf your token is associated with multiple workspaces, kindly pass \"workspace_id\" in the headers to access the asset details."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"53-put---update-asset","__idx":18},"children":["5.3 PUT - Update Asset"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can update a Sprinklr asset via this API call."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-2","__idx":19},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["https://api3.sprinklr.com/{env}/api/v3/sam"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-1","__idx":20},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"table","attributes":{},"children":[{"$$mdtype":"Tag","name":"colgroup","attributes":{},"children":[{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"8%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"13%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"13%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"58%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"6%"}},"children":[]}]},{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Sub Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required/Optional"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Id of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["name "]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["description"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["assetType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The type of asset.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nENUM:[PRESENTATION, PHOTO, VIDEO, AUDIO, FLASH, HTML,",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nPDF, DOC, DOCX, EXCEL, ZIP, PSD, SKETCH, FONT]"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["status"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Status of the asset.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nSupported Values: APPROVED, DRAFT, EXPIRED"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["attachment"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Information about the attachment."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The type of attachment.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nENUM:[Audio, Video]"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["attachmentOptions"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array of attachment properties per channel and/or account.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nChannelSpecificMediaProperties are given below in Attachment Option Table."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["taxonomy"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Taxonomy related to an asset"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["campaignId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Campaign identifier to associate the message to."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["clientCustomProperties"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Client custom properties for the message."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["partnerCustomProperties"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Partner custom properties for the message."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["tags"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Tags to be added to the message."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["urlShortnerId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Url shortner identifier to apply to the message."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["insights"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Collective insights of the posts on social channels. e.g. likes,",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\ncomments, shares."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Double"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["validity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Information regarding the validity of an asset."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["expiryTime"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Asset expiry time. This option is not valid if neverExpire is true."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["availableFrom"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Asset is available from time."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["neverExpire"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["If True, asset will never expire."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["parentId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Parent Asset Id."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["assetSource"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Source of the Asset. e.g. SPRINKLR, GETTY, SHUTTERSTOCK."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["actionStats"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Stats of the asset actions. e.g Download, Published."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Double"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["shareConfigs"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The shareConfigs parameter defines the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["visibility configuration"]}," of an asset in ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Asset Manager"]},". It determines which clients, client groups, users, or user groups can access a specific asset. This parameter is used when updating an asset’s sharing and access settings.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Configuration"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following example shares an asset with:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["One client (1000004509)"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["No client groups"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Two users (1000063395, 1000059523)"]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["One user group (66bf4770d6907b378599e534)"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"shareConfigs\": ["]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["{"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"type\": \"CLIENT\","]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"ids\": [\"1000004509\"]"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["},"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["{"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"type\": \"CLIENT_GROUP\","]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"ids\": []"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["},"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["{"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"type\": \"USER\","]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"ids\": [\"1000063395\", \"1000059523\"]"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["},"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["{"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"type\": \"USER_GROUP\","]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["\"ids\": [\"66bf4770d6907b378599e534\"]"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["}"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["]"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Notes"]}]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can combine multiple type entries in the same configuration."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Empty ids arrays mean no entities of that type are included."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Ensure that IDs are valid and correspond to entities configured in your Sprinklr environment."]}]}]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array of Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the entity type to which the asset is shared. ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Supported Values:"]},"USER, USER_GROUP, GLOBAL, CLIENT, CLIENT_GROUP ."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A list of unique identifiers for the specified entity type."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["restricted"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["If True, asset is restricted from publishing."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"attachment-option-parameters","__idx":21},"children":["Attachment Option Parameters"]},{"$$mdtype":"Tag","name":"table","attributes":{},"children":[{"$$mdtype":"Tag","name":"colgroup","attributes":{},"children":[{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"14%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"23%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"52%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"9%"}},"children":[]}]},{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required/Optional"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["channelType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ChannelType for media options.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nEnum:[ FACEBOOK, TWITTER ]"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["accountId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["If the properties are specific to an account inaddition to",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nchannelType, accountId can be specified and the properties",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nwould then only be used for the given account."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-2","__idx":22},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request PUT 'https://api3.sprinklr.com/{env}/api/v3/sam' \\\n  --header 'Authorization: Bearer {Enter your Access Token}' \\\n  --header 'Content-Type: application/json' \\\n  --header 'Accept: application/json' \\\n  --data '{\n    \"id\": \"6798dd077b60507fc0a5dd98\",\n    \"name\": \"API check part 2\",\n    \"description\": \"Asset is updated now-3\",\n    \"assetType\": \"PHOTO\",\n    \"status\": \"Draft\",\n    \"attachment\": {\n      \"url\": \"https://example-1-1w7sq03xb7.com/resource\",\n      \"previewUrl\": \"https://example-1-1w7sq03xb7.com/resource\",\n      \"mimeType\": \"image/jpeg\",\n      \"type\": \"IMAGE\"\n    },\n    \"assetSource\": \"SPRINKLR\",\n    \"restricted\": false\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-2","__idx":23},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"assetType\": \"PHOTO\",\n    \"attachment\": {\n      \"url\": \"https://example-1-1w7sq03xb7.com/resource\",\n      \"previewUrl\": \"https://example-1-1w7sq03xb7.com/resource\",\n      \"mimeType\": \"image/jpeg\",\n      \"type\": \"IMAGE\"\n    },\n    \"id\": \"6798dd077b60507fc0a5dd98\",\n    \"name\": \"API check part 2\",\n    \"description\": \"Asset is updated now-3\",\n    \"status\": \"Draft\",\n    \"taxonomy\": {},\n    \"insights\": {},\n    \"validity\": {\n      \"expiryTime\": 2208988800000,\n      \"availableFrom\": 1738022400000,\n      \"neverExpire\": false,\n      \"visibleFrom\": 1738022400000\n    },\n    \"assetSource\": \"SPRINKLR\",\n    \"actionStats\": {},\n    \"shareConfigs\": [],\n    \"restricted\": false,\n    \"locked\": false,\n    \"createdTime\": 1738071303688,\n    \"modifiedTime\": 1738075557706,\n    \"langVsTranslatedFieldValues\": {},\n    \"createdByUser\": 66014640,\n    \"versionId\": 1\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters-1","__idx":24},"children":["Response Parameters"]},{"$$mdtype":"Tag","name":"table","attributes":{},"children":[{"$$mdtype":"Tag","name":"colgroup","attributes":{},"children":[{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"8%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"15%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"8%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"9%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"58%"}},"children":[]}]},{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Sub-Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains details about the updated asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["assetType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The type of asset updated (e.g., PHOTO)",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nENUM:[PRESENTATION, PHOTO, VIDEO, AUDIO, FLASH, HTML, PDF, DOC, DOCX, EXCEL, ZIP, PSD, SKETCH, FONT]"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["attachment"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Details of the updated asset attachment."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["url"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String (URL)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The URL of the attached asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["previewUrl"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String (URL)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The URL of the preview version of the asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["mimeType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The MIME type of the asset (e.g., image/jpeg)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The type of attachment (e.g., IMAGE)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The unique identifier of the updated asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["name"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The name of the updated asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["description"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A brief description of the updated asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["status"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The status of the updated asset (e.g., Draft).",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nSupported Values: APPROVED, DRAFT, EXPIRED"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["taxonomy"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Reserved for taxonomy details."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["insights"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Reserved for asset insights."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["validity"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains details about the asset's validity."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["expiryTime"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number (Epoch)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The time (in milliseconds) when the asset will expire."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["availableFrom"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number (Epoch)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The time (in milliseconds) when the asset becomes available."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["neverExpire"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether the asset is set to never expire."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["visibleFrom"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number (Epoch)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The time (in milliseconds) when the asset becomes visible."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["assetSource"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The source of the asset (e.g., SPRINKLR)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["actionStats"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Reserved for action statistics (currently empty in the response)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["shareConfigs"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains sharing configurations (currently empty in the response)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["restricted"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates if the asset is restricted (e.g., false)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["locked"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates if the asset is locked (e.g., false)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["createdTime"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number (Epoch)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The time (in milliseconds) when the asset was created."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["modifiedTime"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number (Epoch)"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The time (in milliseconds) when the asset was last updated."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["langVsTranslatedFieldValues"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Reserved for language-specific translated fields."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["createdByUser"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The ID of the user who created the asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["versionId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Number"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The version ID of the asset (e.g., 1 for the updated version)."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["errors"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains a list of errors, if any occurred during the update process (e.g., empty array if no errors)."]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"54-patch---update-asset","__idx":25},"children":["5.4 PATCH - Update Asset"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can update a Sprinklr asset via this API call."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-3","__idx":26},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["https://api3.sprinklr.com/{env}/api/v3/sam"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-2","__idx":27},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["env"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the environment in which the API request is executed."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SAM_ID"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the SAM record to be updated."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["fieldName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the SAM field whose value needs to be updated."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["value"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Value to assign to the specified SAM field."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["op"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the operation to perform on the field. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SET"]}," sets or replaces the field value with the provided value."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-3","__idx":28},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request PATCH 'https://api3.sprinklr.com/{env}/api/v3/sam/{SAM_ID}' \\\n  --header 'Authorization: Bearer {Enter your Access Token}' \\\n  --header 'Content-Type: application/json' \\\n  --header 'Accept: application/json' \\\n  --data '[\n    {\n      \"fieldName\": \"_c_65169ced3884d32abe7e3db9\",\n      \"value\": \"Value2\",\n      \"op\": \"SET\"\n    }\n  ]'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-3","__idx":29},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"204 No Content\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"55-delete---delete-asset","__idx":30},"children":["5.5 DELETE - Delete Asset"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You can delete a Sprinklr asset via this API call and you will get 204 (No Content) as Response after making the Request."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-4","__idx":31},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["https://api3.sprinklr.com/{env}/api/v3/sam/{assetId}"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters-1","__idx":32},"children":["Path Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required/Optional"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["assetId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Asset id of the existing Sprinklr asset, you want to delete."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-3","__idx":33},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["assetId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the SAM asset to delete."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-4","__idx":34},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request DELETE 'https://api3.sprinklr.com/{env}/api/v3/sam/{assetId}' \\\n  --header 'Authorization: Bearer {Enter your Access Token}' \\\n  --header 'Accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-4","__idx":35},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":" 204 No Content\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"56-post---asset-import-via-url","__idx":36},"children":["5.6 POST - Asset Import via URL"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Using this API, you can import a media asset to the content store using the media URL. Kindly note that adding the asset to the content store doesn't imply that it is added to the Digital Asset Manager."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-5","__idx":37},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://api3.sprinklr.com/%7benv%7d/api/v3/sam/importUrl/async?url=%7burl%7d&importType=%7bimportType%7d"},"children":["https://api3.sprinklr.com/{env}/api/v3/sam/importUrl/async?url=https://example.com/image.jpg&importType=image"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-4","__idx":38},"children":["Request Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameters"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameters"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-Params"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Sub-Params"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required/Optional"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Definition"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Definition"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["url"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the URL of the image or content that needs to be imported into Sprinklr.<br><br>",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example:"]}," https://example.com/image.jpg"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["importType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the type of content being imported.<br><br>",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example:"]}," image indicates that an image is being imported."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the  associated with the API request.<br><br>",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example:"]}," JSESSIONID={session-id}"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-5","__idx":39},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --location --request POST \\\n  'https://api3.sprinklr.com/{env}/api/v3/sam/importUrl/async?url=https%3A%2F%2Fexample.com%2Fimage.jpg&importType=image' \\\n  --header 'Authorization: Bearer {Enter your Access Token}' \\\n  --header 'Key: {Enter your API KEY}' \\\n  --header 'Accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-5","__idx":40},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": \"6a8dd3d5a5a01c50b54bc173\",\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters-2","__idx":41},"children":["Response Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameters"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameters"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-Params"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Sub-Params"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required/Optional"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Definition"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Definition"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the unique identifier of the content that was successfully imported. This identifier can be used to reference the imported content in subsequent API operations."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["errors"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains details of any errors encountered while processing the request.<br><br>An empty array indicates that no errors occurred."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"57-post-and-get-asset-import-async","__idx":42},"children":["5.7 POST and GET Asset Import Async"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"571-import-via-url-to-get-task-id","__idx":43},"children":["5.7.1 Import via URL to get Task Id"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The asset import async API helps you import an asset via URL. Here, the first step involves importing the asset, which will fetch the task Id in response. Using the task Id, you can use the status check API to fetch the uploaded content Id."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The two steps for asset import async involve:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Import via URL to get Task Id."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Check the status via Task Id."]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Dev Notes"]},":"," ","Things to know when using the Asset Import Async API:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["There is no size limitation when using asset import async API."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The processing time for importing the asset depends on its size."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["It is recommended to periodically check the status of the import."]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The asset import API will continue running until the import is successful."]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"endpoint-6","__idx":44},"children":["Endpoint"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["POST"]},{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"https://api3.sprinklr.com/{env}/api/v3/sam/importUrl/async?importType={type}&url={valid_url_address}&uploadTrackerId={tracker_id}"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters","__idx":45},"children":["Query Parameters"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following table describes the Query Parameters in use."]},{"$$mdtype":"Tag","name":"table","attributes":{},"children":[{"$$mdtype":"Tag","name":"colgroup","attributes":{},"children":[{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"20%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"12%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"8%"}},"children":[]},{"$$mdtype":"Tag","name":"col","attributes":{"style":{"width":"58%"}},"children":[]}]},{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Query Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Required"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"style":{"textAlign":"center"}},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["importType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The file type of asset that you want to import.",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nThe supported formats are:"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["[ PRESENTATION, SUBTITLE, PHOTO, VIDEO, AUDIO, FLASH, HTML,",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]},"\nPDF, DOC, DOCX, EXCEL, ZIP, PSD, SKETCH, FONT ]"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["url"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The URL of the content that you want to import."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["uploadTrackerId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The unique id entered by user."]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-6","__idx":46},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl --request POST \\\n  'https://api3.sprinklr.com/{env}/api/v3/sam/importUrl/async?importType=IMAGE&url=https%3A%2F%2Fimages.unsplash.com%2Fphoto-1711476926632-53026474fe1a&uploadTrackerId=567783456782440' \\\n  --header 'Authorization: Bearer {token}' \\\n  --header 'Content-Type: application/json' \\\n  --header 'key: {apikey}'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example---response","__idx":47},"children":["Example - Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": \"66c8970682fba20e63411816\",\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters-3","__idx":48},"children":["Response Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Parameter"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Type"]}]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Description"]}]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The data returned as response will serve as 'task ID'. This unique 'task ID' will be used to fetch the status of the asset."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["error"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["This represents the error message, if any."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"572-check-the-status-via-task-id","__idx":49},"children":["5.7.2 Check the Status via Task Id"]},{"$$mdtype":"Tag","name":"p","attributes":{},"childre
[...]
